#!/bin/sh

# The next line is automatically updated by 'make package'
RELVER=2.2.8-RELEASE

if [ _$2 = _"INSTALL" ]; then
	if [ _`uname -r` != _"$RELVER" ]; then
		echo "This package will only install on FreeBSD $RELVER"
		exit 1
	fi

	#if [ ! -e /sys/net/if_ethersubr.c ]; then
	#	echo "This package requires the kernel source in /sys"
	#	exit 1
	#fi
fi

if [ _$2 = _"DEINSTALL" ]; then
	if [ -e /usr/mdec/boot1.orig -a -e /usr/mdec/boot2.orig ]; then
		mv -f /usr/mdec/boot1.orig /usr/mdec/boot1
		mv -f /usr/mdec/boot2.orig /usr/mdec/boot2
		disklabel -B wd0 > /dev/null 2>&1
		disklabel -B sd0 > /dev/null 2>&1
	fi
fi

exit 0
